javax.faces.component.html

## Enum HtmlInputHidden.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlInputHidden.PropertyKeys>
  - - javax.faces.component.html.HtmlInputHidden.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlInputHidden.PropertyKeys>
  Enclosing class:
    HtmlInputHidden

      protected static enum HtmlInputHidden.PropertyKeys
      extends Enum<HtmlInputHidden.PropertyKeys>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlInputHidden.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlInputHidden.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### values

          public static HtmlInputHidden.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlInputHidden.PropertyKeys c : HtmlInputHidden.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlInputHidden.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlInputHidden.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.